# $Revision: 1.50 $, $Date: 2012/01/15 22:34:39 $
#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Graph - graph operations
Summary(pl.UTF-8):	Graph - operacje na grafach
Name:		perl-Graph
Version:	0.94
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Graph/Graph-%{version}.tar.gz
# Source0-md5:	21c7c5b108fdf898ca1679a0509ccbb2
BuildRequires:	perl-Heap >= 0.01
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graph - graphs and graph algorithms. This is just a front-end class
for Graph::Directed and Graph::Base.

%description -l pl.UTF-8
Graph - grafy i algorytmy z nimi związane. Jest to po prostu klasa
zewnętrzna dla Graph::Directed i Graph::Base.

%prep
%setup -q -n Graph-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Graph/.packlist
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Graph.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%dir %{perl_vendorlib}/Graph
%{perl_vendorlib}/Graph.pm
%{perl_vendorlib}/Graph/*
%{perl_vendorlib}/Heap071/
%{perl_vendorlib}/auto/Heap071/
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Graph.spec,v $
Revision 1.50  2012/01/15 22:34:39  zbyniu
- up to 0.94

Revision 1.49  2009/09/16 10:49:33  radek
- release 3: package auto/Heap071/ too (duh)

Revision 1.48  2009/09/16 08:03:39  radek
- release 2: package the Heap071 dir

Revision 1.47  2009/06/24 05:56:37  amateja
- updated to 0.91

Revision 1.46  2007/03/03 12:07:22  arekm
- up to 0.81

Revision 1.45  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.44  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.43  2006/06/26 07:18:01  maciek2w
- updated 0.75

Revision 1.42  2006/05/29 07:02:12  blaass
- ver up to 0.73

Revision 1.41  2006/05/24 08:15:24  qboosh
- cleanup

Revision 1.40  2006/05/24 08:04:24  blaass
- up to 0.71, rel 3

Revision 1.39  2004/05/30 12:40:51  adamg
- updated to 0.20105

Revision 1.38  2004/05/07 07:48:15  adamg
- updated to 0.20104

Revision 1.37  2004/05/06 18:01:29  ankry
- fixed perl-devel BR

Revision 1.36  2004/05/05 22:08:26  adamg
- updated to 0.20103

Revision 1.35  2004/04/25 16:13:34  ankry
- cosmetics: unifications

Revision 1.34  2004/04/25 00:50:55  ankry
- cosmetics: unification

Revision 1.33  2004/04/21 21:30:36  ankry
- summary/desc

Revision 1.32  2004/04/21 08:59:40  ankry
- license fixes/unification

Revision 1.31  2004/04/05 11:12:53  adamg
- updated to 0.20102

Revision 1.30  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:08:49  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 19:36:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:39:25  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:32:48  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/10/18 01:27:02  ankry
- version 0.20101, rel. 1
- added tests, DISCLAIMER to %%doc
NOTE: This module is no longer developed

Revision 1.21  2002/07/20 15:35:20  kloczek
- release 7.

Revision 1.20  2002/07/20 10:19:32  qboosh
- BR: perl-Heap

Revision 1.19  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/03/03 08:51:11  kloczek
- release 6.

Revision 1.17  2002/03/03 06:19:02  kloczek
- release 5.

Revision 1.16  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/10 15:26:49  depesz
adapterized

Revision 1.14  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:09:59  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/06 16:08:37  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.9  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.4  2000/02/17 20:46:38  pius
- updated to 0.201

Revision 1.3  1999/11/09 00:16:12  pius
- fixed directory ownership
- release++

Revision 1.2  1999/11/05 16:52:52  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:19  pius
- initial release
